#include <iostream>
#include <stdio.h>
#include <stdlib.h>

using namespace std;

int main()
{ long int n,x,mini,maks,p=0;
scanf("%d%d",&n,&x);
scanf("%d",&mini);
maks=mini;
for(int i=0;i<n-1;i++)
{
    scanf("%d",&p);
    if(p<mini) mini=p;
    if(p>maks) maks=p;
}

if(maks>x && mini<x)
    printf("%d",2*min(abs(mini-x),abs(maks-x))+max(abs(mini-x),abs(maks-x)));

else printf("%d",max(abs(mini-x),abs(maks-x)));

    return 0;
}